import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:taafee_mobile/common/extensions/widget_extension.dart';

import '../../../../common/const/const.dart';
import '../../../../common/widgets/text.dart';

class NotificationWidget extends StatelessWidget {
  const NotificationWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Get.width,
      height: Responsive.isTablet() ? 120 : 83,
      child: Row(
        children: [
          CircleAvatar(
            radius: Responsive.isTablet() ? 60 : 30,
            backgroundColor: AppColors.primeColor,
            child: SvgPicture.asset(
              "assets/icons/notification.svg",
              width: Responsive.isTablet() ? 30 : null,
            ),
          ).expanded(Responsive.isTablet() ? 0 : 2),
          Column(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              MediumTextWidget(
                "Lorem ipsum dolor sit amet,consectetur adipiscing elit",
                fontSize: Responsive.isTablet() ? 20 : 10,
                color: AppColors.textColor,
              ),
              MediumTextWidget(
                "23 min",
                fontSize: Responsive.isTablet() ? 20 : 10,
              )
            ],
          ).paddingSymmetric(vertical: 13, horizontal: 20).expanded(8),
        ],
      ),
    );
  }
}
